SYSINST(8)

NAME
sysinst - install or upgrade a NetBSD system

SYNOPSIS
sysinst [-D] [-f definition_file] [-r release]

DESCRIPTION
sysinst is a menu-based program that may be used to install or upgrade a NetBSD system. It is usually invoked automatically when the system is booted from appropriate installation media.

sysinst is usually not present on a NetBSD system that has been fully installed.

The following options are available:

-D  Switch on debugging.

-f definition_file
    Use definition_file as a file for definitions other than the defaults. See the DEFINITION FILE section for its format.

-r release
    Use release as the release name if it is different to the one compiled. Currently unused.

DEFINITION FILE
A definition file can be used with sysinst to control several aspects of the installation or upgrade process. Options can be stored within the file as
    option = value
pairs. Options include the following, shown with their defaults as well as a description “(REL” and “MACH” are the release and architecture respectively, as determined by the image sysinst is used on):
option name | default value | description
release | REL | Release name (also set by -r release)
machine | MACH | Machine architecture
xfer dir | /usr/INSTALL | Transfer dir
ext dir | | Extract dir (will usually be set later on)
ftp host | ftp.NetBSD.org | FTP host for fetching files
ftp dir | pub/NetBSD/NetBSD-REL | FTP directory for fetching files
ftp prefix | /MACH/binary/sets | Directory to look for sets,
used for all methods of fetching (i.e., not just FTP)
ftp user | ftp | FTP user for connecting
ftp pass | - | FTP password
ftp proxy | - | FTP proxy
nfs host | - | NFS host for fetching via NFS
nfs dir | /bsd/release | NFS directory for fetching files
cd dev | cd0a | Name of CD device for fetching files
fd dev | /dev/fd0a | Name of floppy device for fetching files
local dev | - | Other device to be mounted for fetching files
local fs | ffs | File system type for local device
local dir | release | Directory to look for in the mounted local file system
targetroot mount | /targetroot | Directory to mount target root dir to
dist postfix | .tgz | Suffix of set files to be extracted
diskname | mydisk | disktab(5) diskname to use for target disk

SEE ALSO
release(7), afterboot(8), boot(8), diskless(8)

<machine>/INSTALL.* files on CD-ROM installation media .../NetBSD-<rel>/<machine>/INSTALL.* files in NetBSD releases or snapshots.

HISTORY
A sysinst command appeared in NetBSD 1.3.